export class RestrictedAccessError extends Error{
    constructor(endpoint:string, hash:string, callee:string, expecedCallee:string){
        super(`Restricted endpoint "${endpoint}" called in ${hash}. But callee ${callee} is not owner ${expecedCallee}`)
    }
}

export class InsufficientFeeError extends Error{
    constructor(hash: string, requiredFee:number, suppliedFee:number){
        super(`Insufficient fee in ${hash}. Required fee is ${requiredFee}, but was ${suppliedFee}`)
    }
}